Create Feedback
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientContext": {
"agentConversationId": "<string>",
"agentSessionId": "<string>",
"appVersion": "<string>",
"featureFlags": [
"<string>"
],
"locale": "<string>",
"route": "<string>",
"url": "<string>",
"userAgent": "<string>",
"viewport": "<string>"
},
"datadogContext": {
"rumSessionId": "<string>",
"rumViewId": "<string>",
"rumViewName": "<string>",
"traceIds": [
"<string>"
],
"windowEnd": "2023-11-07T05:31:56Z",
"windowStart": "2023-11-07T05:31:56Z"
},
"description": "<string>",
"screenshots": [
{
"contentType": "<string>",
"data": "aSDinaTvuI8gbWludGxpZnk=",
"route": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/feedback"
payload = {
"clientContext": {
"agentConversationId": "<string>",
"agentSessionId": "<string>",
"appVersion": "<string>",
"featureFlags": ["<string>"],
"locale": "<string>",
"route": "<string>",
"url": "<string>",
"userAgent": "<string>",
"viewport": "<string>"
},
"datadogContext": {
"rumSessionId": "<string>",
"rumViewId": "<string>",
"rumViewName": "<string>",
"traceIds": ["<string>"],
"windowEnd": "2023-11-07T05:31:56Z",
"windowStart": "2023-11-07T05:31:56Z"
},
"description": "<string>",
"screenshots": [
{
"contentType": "<string>",
"data": "aSDinaTvuI8gbWludGxpZnk=",
"route": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientContext: {
agentConversationId: '<string>',
agentSessionId: '<string>',
appVersion: '<string>',
featureFlags: ['<string>'],
locale: '<string>',
route: '<string>',
url: '<string>',
userAgent: '<string>',
viewport: '<string>'
},
datadogContext: {
rumSessionId: '<string>',
rumViewId: '<string>',
rumViewName: '<string>',
traceIds: ['<string>'],
windowEnd: '2023-11-07T05:31:56Z',
windowStart: '2023-11-07T05:31:56Z'
},
description: '<string>',
screenshots: [{contentType: '<string>', data: 'aSDinaTvuI8gbWludGxpZnk=', route: '<string>'}]
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"ticketUrl": "<string>"
}Feedback
Create Feedback
Create feedback with client diagnostics, Datadog correlation context, and up to five WebP screenshots. Gated by the feedback feature flag; the submitter’s identity is taken from the session, not the request.
POST
/
api
/
v1
/
feedback
Create Feedback
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The CreateFeedbackRequest message.
The ClientContext message.
Show child attributes
Show child attributes
The DatadogContext message.
Show child attributes
Show child attributes
The description field.
The mode field.
Available options:
MODE_UNSPECIFIED, MODE_FEEDBACK_ONLY, MODE_INVESTIGATE, MODE_INVESTIGATE_AND_FIX The screenshots field.
Show child attributes
Show child attributes
Was this page helpful?